---
## ISO Variables
iso_path: "/mnt/isos/vcsa.iso"

## vCenter Variables
vcsa_deployment_network: ""
vcsa_datastore: ""
deployment_option: ""
vm_name: ""
ip_address: ""
prefix:
dns1: ""
dns2: ""
gateway: ""
system_name: ""
ntp_servers: ""
ssh_enable: true
vcenter_domain_name: ""

## Credentials
vcenter_vars: "{{ lookup('hashi_vault', 'vsphere/data/sso:administrator')}}"
esxi_hostname: "{{ vcenter_vars['esxi_hostname'] }}"
esxi_username: "{{ vcenter_vars['esxi_username'] }}"
esxi_password: "{{ vcenter_vars['esxi_password'] }}"
vcsa_password: "{{ vcenter_vars['vcsa_root_password'] }}"
sso_password: "{{ vcenter_vars['vcsa_sso_password'] }}"